Driver RGB para tus periféricos Corsair en Linux

284

ckb-next es un driver open-source que permite a los usuarios de cualquier distribución de Linux instalar los drivers RGB de sus equipos Corsair.

Al pasarme a Linux de manera definitiva una de mis principales dudas era si mi mouse Corsair Harpoon sería compatible con mi distribución. Para mi sorpresa, tanto el RGB como el funcionamiento iban bien, pero no se sentía igual que cuando usaba Windows.

Tras buscar entre diversos foros y páginas especializadas encontré el proyecto ckb-next, que brinda las mismas opciones que CUE (aplicación para Windows creada por Corsair) permitiendo a los usuarios configurar todo aspecto de sus periféricos Corsair. Para conocer los dispositivos compatibles puede revisar este enlace.

Dentro de sus características tenemos la siguientes:

  • Una interfaz sencilla donde poder personalizar nuestros dispositivos.
  • Controlar múltiples dispositivos independientemente.
  • Soporte a teclado Inglés y Europeo.
  • Soporte a teclas personalizadas.
  • Opción para configurar la animación de la luz RGB y colores.
  • Múltiples perfiles y modos con la opción de guardarlos en el periférico.
  • Ajusta el DPI, sensibilidad y el cambio de DPI por botones.

Instalación ckb-next en tu distribución

Instalación en Fedora 28 y posteriores:

$ su -c 'dnf install ckb-next'

Instalación en Arch Linux / Manjaro (mantenido por @tatokis):

Gentoo (mantenido por @orangeturtle739):

Si prefieres hacer la instalación de forma manual: primero debes instalar los paquetes requeridos (cmake, glibc, Qt5, libudev, zlib) y si deseas también los opcionales (libpulse, libappindicator, quazip):

  • Arch Linux / Manjaro: su -c 'pacman -S base-devel cmake libsystemd qt5-base zlib libappindicator-gtk2 quazip libpulse'
  • Ubuntu (14.04): su -c 'apt-get install build-essential cmake3 libudev-dev qt5-default zlib1g-dev libappindicator-dev libpulse-dev'
  • Ubuntu (16.04 y posteriores): su -c 'apt-get install build-essential cmake libudev-dev qt5-default zlib1g-dev libappindicator-dev libpulse-dev libquazip5-dev'
  • Fedora: su -c 'dnf install gcc gcc-c++ make cmake glibc zlib-devel qt5-qtbase-devel quazip-qt5-devel libappindicator-devel systemd-devel pulseaudio-libs-devel'

Si te aparece un mensaje "nothing provides pkgconfig" verifica si exclude=xorg-x11* está comentado o eliminado de /etc/dnf/.conf

  • openSUSE: su -c 'zypper install gcc gcc-c++ make cmake linux-glibc-devel zlib-devel libqt5-qtbase-devel libappindicator-devel systemd-devel libpulse-devel quazip-qt5-devel libudev-devel'

Instalar git y clona el repositorio, o descarga el archivo zip:

$ git clone https://github.com/ckb-next/ckb-next.git
$ cd ckb-next

Luego, inicias el script de instalación

$ ./quickinstall

Listo, luego de esto podrás acceder a la aplicación y empezar a configurar tus periféricos Corsair.

Los comentarios están cerrados.

Este sitio web utiliza cookies para mejorar su experiencia. Asumiremos que estás de acuerdo con esto, pero puedes optar por no hacerlo si lo deseas. Aceptar Leer más